package com.adealink.weparty.webview.scheme

import android.net.Uri
import com.adealink.weparty.webview.IWebView

/**
 * gami://web/closeWindow
 */
class CloseWindowScheme(webView: IWebView) :
    WebSchemeHandler(webView, arrayOf(WebScheme.CloseWindow.PATH)) {

    override fun handle(uri: Uri) {
        webView.webViewCallback?.closeWebView()
    }
}